Subject: getting a list of naked interface names from iproute2

From: Matthew Thode <[email-masked]>
Date: Mon, 16 Feb 2015 18:07:12 -0600

iproute2 seems to like to add @ and : info to it's output.  This makes
parsing it hard for things like neutron (openstack).  I have a patch to
slightly update it (still missing some things, I'll link it at the end
if interested).  Is there a better way of getting interface names from
iproute2 without having to strip out at characters like '@' and ':'?

changeset in neutron: https://review.openstack.org/#/c/154128/
link to current code:
https://github.com/openstack/neutron/blob/master/neutron/agent/linux/ip_lib.py#L110-L131

I'd appreciate your help, I'd rather not have to go through each link
type to pull it's delimiter, but if needed I guess it's needed.

-- 
Matthew Thode